Inyett Company Monitor
Get companies in portfolio
Returns the companies currently monitored in a portfolio, paginated by fetch/offset.
GET
/
3
/
{profileCountry}
/
monitor
/
portfolios
/
{id}
/
companies
Get companies in portfolio
curl --request GET \
--url https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"name": "Foo",
"legalGroup": "AB",
"orgNr": "5567804348",
"countryCode": "SE",
"createdDate": "2024-01-01T00:00:00"
},
{
"id": 2,
"name": "Bar",
"legalGroup": "AS",
"orgNr": "916778058",
"countryCode": "NO",
"createdDate": "2024-01-01T00:00:00"
}
],
"total": 2
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
X-Api-KeyBearer
Api key needed to access the endpoints. X-Api-Key: My api key
Headers
App id
Path Parameters
The country whose scope/entitlement profile (SE or NO) is used to authorize the request. Determines which market-specific rules apply, independent of the country the requested company is registered in. ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
Available options:
SE, NO Identifier of the resource, as returned when it was created.
Query Parameters
Maximum number of items to return.
Number of items to skip before starting to return results, for paging through a larger result set.
Was this page helpful?
⌘I
Get companies in portfolio
curl --request GET \
--url https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/3/{profileCountry}/monitor/portfolios/{id}/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"name": "Foo",
"legalGroup": "AB",
"orgNr": "5567804348",
"countryCode": "SE",
"createdDate": "2024-01-01T00:00:00"
},
{
"id": 2,
"name": "Bar",
"legalGroup": "AS",
"orgNr": "916778058",
"countryCode": "NO",
"createdDate": "2024-01-01T00:00:00"
}
],
"total": 2
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}